import Vue from 'vue'
import VueRouter from 'vue-router'
import Login from '../views/Login.vue'
import Register from '../views/Register.vue'

Vue.use(VueRouter)

const routes = [
    {
        path: '/',
        redirect: '/entry'
    },
    {
        path: '/login',
        name: 'Login',
        component: Login
    },
    {
        path: '/register',
        name: 'Register',
        component: Register
    },
    {
        path: '/entry',
        name: 'Entry',
        // route level code-splitting
        // this generates a separate chunk (about.[hash].js) for this route
        // which is lazy-loaded when the route is visited.
        component: () => import(/* webpackChunkName: "about" */ '../views/Entry.vue')
    },
    {
        path: '/instruction',
        name: 'Instruction',
        component: () => import(/* webpackChunkName: "about" */ '../views/Instruction.vue')
    },
    {
        path: '/applyProcess',
        name: 'ApplyProcess',
        component: () => import(/* webpackChunkName: "about" */ '../views/ApplyProcess.vue')
    },
    // {
    //     path: '/print',
    //     name: 'Print',
    //     component: () => import(/* webpackChunkName: "about" */ '../views/Print.vue')
    // },


]

const router = new VueRouter({
    routes
})

export default router
